Loading...
Searching...
No Matches
starpu_cusolver.h File Reference
`#include <cusolverDn.h>`
`#include <cusolverSp.h>`
`#include <cusolverRf.h>`

Go to the source code of this file.

#define | STARPU_CUSOLVER_REPORT_ERROR(status)
void | starpu_cusolver_init (void)
void | starpu_cusolver_shutdown (void)
cusolverDnHandle_t | starpu_cusolverDn_get_local_handle (void)
cusolverSpHandle_t | starpu_cusolverSp_get_local_handle (void)
cusolverRfHandle_t | starpu_cusolverRf_get_local_handle (void)
void | starpu_cusolver_report_error (const char *func, const char *file, int line, cusolverStatus_t status)

## Macro Definition Documentation

## STARPU_CUSOLVER_REPORT_ERROR

#define STARPU_CUSOLVER_REPORT_ERROR | ( |  | status | ) |

Call starpu_cusolver_report_error(), passing the current function, file and line position.

## Function Documentation

## starpu_cusolver_shutdown()

void starpu_cusolver_shutdown | ( | void |  | ) |

Synchronously deinitialize the CUSOLVER library on every CUDA device.

See CUDA-specific Optimizations

## starpu_cusolverDn_get_local_handle()

cusolverDnHandle_t starpu_cusolverDn_get_local_handle | ( | void |  | ) |

Return the CUSOLVER Dense handle to be used to queue CUSOLVER kernels. It is properly initialized and configured for multistream by starpu_cusolver_init().

See CUDA-specific Optimizations

## starpu_cusolverSp_get_local_handle()

cusolverSpHandle_t starpu_cusolverSp_get_local_handle | ( | void |  | ) |

Return the CUSOLVER Sparse handle to be used to queue CUSOLVER kernels. It is properly initialized and configured for multistream by starpu_cusolver_init().

See CUDA-specific Optimizations

## starpu_cusolverRf_get_local_handle()

cusolverRfHandle_t starpu_cusolverRf_get_local_handle | ( | void |  | ) |

Return the CUSOLVER Refactorization handle to be used to queue CUSOLVER kernels. It is properly initialized and configured for multistream by starpu_cusolver_init().

See CUDA-specific Optimizations

## starpu_cusolver_report_error()

void starpu_cusolver_report_error | ( | const char * | func,
|  | const char * | file,
|  | int | line,
|  | cusolverStatus_t | status
| ) |  |

Report a CUSOLVER error. See CUDASupport for more details.